com.io7m.jcamera.examples.jogl

## Class ExampleSphericalSimulation

- java.lang.Object
- - com.io7m.jcamera.examples.jogl.ExampleSphericalSimulation

- All Implemented Interfaces:
    ExampleSphericalSimulationType

      public final class ExampleSphericalSimulation
      extends Object
      implements ExampleSphericalSimulationType

  The example physical simulation containing just the fps-style camera, updated at a fixed time step.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExampleSphericalSimulation()` $example: Construct a new simulation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cameraIsEnabled()`
    `void` | `cameraSetEnabled(boolean b)` Enable/disable the camera.
    `JCameraSphericalType` | `getCamera()`
    `float` | `getDeltaTime()`
    `JCameraSphericalInputType` | `getInput()`
    `JCameraSphericalSnapshot` | `integrate()` $example: Integrate the camera.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExampleSphericalSimulation

          public ExampleSphericalSimulation()

      $example: Construct a new simulation.

  - ### Method Detail

    - #### integrate

          public JCameraSphericalSnapshot integrate()

      $example: Integrate the camera.
      Specified by:
        `integrate` in interface `ExampleSphericalSimulationType`
      Returns:
        A new camera snapshot.

    - #### cameraIsEnabled

          public boolean cameraIsEnabled()

      Specified by:
        `cameraIsEnabled` in interface `ExampleSphericalSimulationType`
      Returns:
        `true` if the camera is enabled.

    - #### cameraSetEnabled

          public void cameraSetEnabled(boolean b)

      Description copied from interface: `ExampleSphericalSimulationType`
      Enable/disable the camera.
      Specified by:
        `cameraSetEnabled` in interface `ExampleSphericalSimulationType`
      Parameters:
        `b` - `true` if the camera should be enabled.

    - #### getCamera

          public JCameraSphericalType getCamera()

      Specified by:
        `getCamera` in interface `ExampleSphericalSimulationType`
      Returns:
        The camera

    - #### getDeltaTime

          public float getDeltaTime()

      Specified by:
        `getDeltaTime` in interface `ExampleSphericalSimulationType`
      Returns:
        The simulation delta time

    - #### getInput

          public JCameraSphericalInputType getInput()

      Specified by:
        `getInput` in interface `ExampleSphericalSimulationType`
      Returns:
        The camera input

Copyright © 2016 <code@io7m.com> http://io7m.com